package com.ningdatech.carapi.safe.service;


import com.alibaba.fastjson.JSONObject;
import com.ningdatech.carapi.car.datascreen.model.dto.DataScreenParam;
import com.ningdatech.carapi.safe.model.dto.LongitudeLatitudeDTO;
import com.ningdatech.carapi.safe.model.po.OutDangerAnalysisPO;
import com.ningdatech.carapi.safe.model.po.OverspeedAnalysisPO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
public interface SecurityManageDataScreenService {

    JSONObject getInsureAnalysis(DataScreenParam param,Integer type);

    List<LongitudeLatitudeDTO> getAccidentLongitudeLatitude(DataScreenParam param);

    JSONObject getOutDangerCurrentMonth(DataScreenParam param);

    JSONObject getOverSpeedCurrentMonth(DataScreenParam param);

    JSONObject getOutDangerCity(DataScreenParam param);

    List<OutDangerAnalysisPO> getOutDangerAnalysis(DataScreenParam param);

    List<OverspeedAnalysisPO> getOverspeedAnalysis(DataScreenParam param);
}
